OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_Array1OfProduct Class Reference

`#include <StepBasic_Array1OfProduct.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_Array1OfProduct (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepBasic_Array1OfProduct (const Handle(StepBasic_Product)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(StepBasic_Product)&V)
Standard_EXPORT void | Destroy ()
| ~StepBasic_Array1OfProduct ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepBasic_Array1OfProduct & | Assign (const StepBasic_Array1OfProduct &Other)
const StepBasic_Array1OfProduct & | operator= (const StepBasic_Array1OfProduct &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepBasic_Product)&Value)
const Handle_StepBasic_Product & | Value (const Standard_Integer Index) const
const Handle_StepBasic_Product & | operator() (const Standard_Integer Index) const
Handle_StepBasic_Product & | ChangeValue (const Standard_Integer Index)
Handle_StepBasic_Product & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | StepBasic_Array1OfProduct (const StepBasic_Array1OfProduct &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_Array1OfProduct::StepBasic_Array1OfProduct | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepBasic_Array1OfProduct::StepBasic_Array1OfProduct | ( | const Handle(StepBasic_Product)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepBasic_Array1OfProduct::~StepBasic_Array1OfProduct | ( |  | ) | `[inline]`

Standard_EXPORT StepBasic_Array1OfProduct::StepBasic_Array1OfProduct | ( | const StepBasic_Array1OfProduct & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepBasic_Array1OfProduct& StepBasic_Array1OfProduct::Assign | ( | const StepBasic_Array1OfProduct & | Other | ) |

Handle_StepBasic_Product& StepBasic_Array1OfProduct::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepBasic_Array1OfProduct::Destroy | ( |  | ) |

Standard_EXPORT void StepBasic_Array1OfProduct::Init | ( | const Handle(StepBasic_Product)& | V | ) |

Standard_Boolean StepBasic_Array1OfProduct::IsAllocated | ( |  | ) | const

Standard_Integer StepBasic_Array1OfProduct::Length | ( |  | ) | const

Standard_Integer StepBasic_Array1OfProduct::Lower | ( |  | ) | const

void StepBasic_Array1OfProduct::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepBasic_Array1OfProduct::operator new | ( | size_t | size | ) | `[inline]`

void* StepBasic_Array1OfProduct::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StepBasic_Product& StepBasic_Array1OfProduct::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StepBasic_Product& StepBasic_Array1OfProduct::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepBasic_Array1OfProduct& StepBasic_Array1OfProduct::operator= | ( | const StepBasic_Array1OfProduct & | Other | ) | `[inline]`

void StepBasic_Array1OfProduct::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepBasic_Product)& | Value
| ) |

Standard_Integer StepBasic_Array1OfProduct::Upper | ( |  | ) | const

const Handle_StepBasic_Product& StepBasic_Array1OfProduct::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepBasic_Array1OfProduct::isAllocated`[private]`

Standard_Integer StepBasic_Array1OfProduct::myLowerBound`[private]`

Standard_Address StepBasic_Array1OfProduct::myStart`[private]`

Standard_Integer StepBasic_Array1OfProduct::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- StepBasic_Array1OfProduct.hxx